> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /storage/v1/inventories/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.InventoryService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /storage/v1/inventories/{id}:
    get:
      tags:
        - nebius.storage.v1.InventoryService
      summary: Get
      operationId: InventoryService_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/nebius.storage.v1.Inventory'
          description: A successful response.
components:
  schemas:
    nebius.storage.v1.Inventory:
      description: >-
        Inventory configures periodic generation of an object listing for a
        bucket.
      properties:
        metadata:
          $ref: '#/components/schemas/nebius.common.v1.ResourceMetadata'
        spec:
          $ref: '#/components/schemas/nebius.storage.v1.InventorySpec'
        status:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.InventoryStatus'
          readOnly: true
      type: object
    nebius.common.v1.ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    nebius.storage.v1.InventorySpec:
      description: Desired configuration of an inventory.
      properties:
        destinationBucketId:
          description: ID of the destination bucket.
          type: string
        destinationPrefix:
          description: >-
            Prefix under which bucket inventory will be stored in the
            destination bucket.
          type: string
        enabled:
          description: Enable or disable inventory generation.
          type: boolean
        noncurrentVersions:
          description: Include noncurrent versions in inventory if set to true.
          type: boolean
        optionalFields:
          description: Optional fields to include in inventory.
          items:
            $ref: '#/components/schemas/nebius.storage.v1.InventorySpec.OptionalField'
          type: array
        outputFormat:
          allOf:
            - $ref: >-
                #/components/schemas/nebius.storage.v1.InventorySpec.OutputFormat
          description: Inventory format.
        schedule:
          allOf:
            - $ref: '#/components/schemas/nebius.storage.v1.InventorySpec.Schedule'
          description: How often to generate the inventory.
        sourcePrefix:
          description: Prefix to filter objects in the source bucket.
          type: string
      required:
        - destinationBucketId
        - outputFormat
        - schedule
      type: object
    nebius.storage.v1.InventoryStatus:
      type: object
    nebius.storage.v1.InventorySpec.OptionalField:
      default: OPTIONAL_FIELD_UNSPECIFIED
      description: |2-
         - LAST_ACCESS: Timestamp of the last access.
         - CHECKSUM_ALGORITHMS: Checksum algorithms used.
         - INTELLIGENT_TIER: Current intelligent tier (for Intelligent Storage Class).
         - IS_MULTIPART_UPLOAD: True for multipart uploads, false for simple objects.
         - LIFECYCLE_EXPIRATION: Timestamp of lifecycle expiration.
         - TAGS: Object tags.
      enum:
        - OPTIONAL_FIELD_UNSPECIFIED
        - LAST_ACCESS
        - CHECKSUM_ALGORITHMS
        - INTELLIGENT_TIER
        - IS_MULTIPART_UPLOAD
        - LIFECYCLE_EXPIRATION
        - TAGS
      type: string
    nebius.storage.v1.InventorySpec.OutputFormat:
      default: OUTPUT_FORMAT_UNSPECIFIED
      description: |2-
         - CSV_GZIP: CSV compressed with GZIP.
         - PARQUET_SNAPPY: Parquet compressed with Snappy.
      enum:
        - OUTPUT_FORMAT_UNSPECIFIED
        - CSV_GZIP
        - PARQUET_SNAPPY
      type: string
    nebius.storage.v1.InventorySpec.Schedule:
      default: SCHEDULE_UNSPECIFIED
      description: |2-
         - DAILY: Run once a day.
         - WEEKLY: Run once a week.
      enum:
        - SCHEDULE_UNSPECIFIED
        - DAILY
        - WEEKLY
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````